Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.spi
Class OutputRecord

    java.lang.Object
      org.apache.hadoop.metrics.spi.OutputRecord

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class OutputRecord

extends Object

Represents a record of metric data to be sent to a metrics system.

Method Summary
`Number` | `getMetric(String name)` Deprecated. Returns the metric object which can be a Float, Integer, Short or Byte.
`Set<String>` | `getMetricNames()` Deprecated. Returns the set of metric names.
`AbstractMetricsContext.MetricMap` | `getMetricsCopy()` Deprecated. Returns a copy of this record's metrics.
`Object` | `getTag(String name)` Deprecated. Returns a tag object which is can be a String, Integer, Short or Byte.
`Set<String>` | `getTagNames()` Deprecated. Returns the set of tag names
`AbstractMetricsContext.TagMap` | `getTagsCopy()` Deprecated. Returns a copy of this record's tags.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTagNames

    public Set<String> getTagNames()

  Deprecated.
  Returns the set of tag names

### getTag

    public Object getTag(String name)

  Deprecated.
  Returns a tag object which is can be a String, Integer, Short or Byte.

  Returns:
    the tag value, or null if there is no such tag

### getMetricNames

    public Set<String> getMetricNames()

  Deprecated.
  Returns the set of metric names.

### getMetric

    public Number getMetric(String name)

  Deprecated.
  Returns the metric object which can be a Float, Integer, Short or Byte.

### getTagsCopy

    public AbstractMetricsContext.TagMap getTagsCopy()

  Deprecated.
  Returns a copy of this record's tags.

### getMetricsCopy

    public AbstractMetricsContext.MetricMap getMetricsCopy()

  Deprecated.
  Returns a copy of this record's metrics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation